---
Tournament:
  name: Eastern Washington Regional Tournament
  short name: Eastern Washington Regional
  location: Lewis and Clark High School
  state: WA
  level: Regionals
  division: B
  year: 2025
  bids: 5
  start date: 2025-03-15
  end date: 2025-03-15
  awards date: 2025-03-15
  bids per school: 2
Events:
- name: Air Trajectory
- name: Anatomy and Physiology
- name: Codebusters
- name: Crime Busters
- name: Disease Detectives
- name: Dynamic Planet
- name: Ecology
- name: Entomology
- name: Experimental Design
- name: Fossils
- name: Helicopter
- name: Meteorology
- name: Metric Mastery
- name: Microbe Mission
- name: Mission Possible
- name: Optics
- name: Potions and Poisons
- name: Reach for the Stars
- name: Road Scholar
- name: Scrambler
- name: Sustainable Energy
- name: Tower
- name: Write It Do It
Teams:
- number: 52
  school: Frontier Middle School
  suffix: Spartan
  city: Moses Lake
  state: WA
- number: 54
  school: Lincoln Middle School
  suffix: Blue
  city: Pullman
  state: WA
- number: 55
  school: Lincoln Middle School
  suffix: Grey
  city: Pullman
  state: WA
- number: 66
  school: St. Joseph's Catholic School
  suffix: Red
  state: WA
  city: Kennewick
- number: 51
  school: Frontier Middle School
  suffix: Blue
  city: Moses Lake
  state: WA
- number: 69
  school: Leona Libby Middle School
  suffix: Odyssey
  city: West Richland
  state: WA
- number: 67
  school: St. Joseph's Catholic School
  suffix: White
  state: WA
  city: Kennewick
- number: 62
  school: Jenkins Junior/Senior High School
  city: Chewelah
  state: WA
- number: 23
  school: Colton Middle School
  suffix: Wildcats A
  city: Colton
  state: WA
- number: 56
  school: Lincoln Middle School
  suffix: White
  city: Pullman
  state: WA
- number: 65
  school: Colton Middle School
  suffix: Wildcats B
  city: Colton
  state: WA
- number: 75
  school: Liberty Launch Academy
  city: Liberty Lake
  state: WA
- number: 53
  school: Frontier Middle School
  suffix: White
  city: Moses Lake
  state: WA
Placings:
- team: 52
  event: Air Trajectory
  place: 5
- team: 52
  event: Anatomy and Physiology
  place: 7
- team: 52
  event: Codebusters
  place: 3
- team: 52
  event: Crime Busters
  place: 5
- team: 52
  event: Disease Detectives
  place: 4
- team: 52
  event: Dynamic Planet
  place: 2
- team: 52
  event: Ecology
  place: 5
- team: 52
  event: Entomology
  place: 8
- team: 52
  event: Experimental Design
  place: 2
- team: 52
  event: Fossils
  place: 7
- team: 52
  event: Helicopter
  place: 1
- team: 52
  event: Meteorology
  place: 1
- team: 52
  event: Metric Mastery
  place: 2
- team: 52
  event: Microbe Mission
  place: 1
- team: 52
  event: Mission Possible
  place: 1
- team: 52
  event: Optics
  place: 2
- team: 52
  event: Potions and Poisons
  place: 5
- team: 52
  event: Reach for the Stars
  place: 3
- team: 52
  event: Road Scholar
  place: 4
- team: 52
  event: Scrambler
  place: 3
- team: 52
  event: Sustainable Energy
  place: 2
- team: 52
  event: Tower
  place: 1
- team: 52
  event: Write It Do It
  place: 4
- team: 54
  event: Air Trajectory
  place: 11
- team: 54
  event: Anatomy and Physiology
  place: 1
- team: 54
  event: Codebusters
  place: 2
- team: 54
  event: Crime Busters
  place: 4
- team: 54
  event: Disease Detectives
  place: 3
- team: 54
  event: Dynamic Planet
  place: 3
- team: 54
  event: Ecology
  place: 1
- team: 54
  event: Entomology
  place: 1
- team: 54
  event: Experimental Design
  place: 1
- team: 54
  event: Fossils
  place: 1
- team: 54
  event: Helicopter
  place: 4
- team: 54
  event: Meteorology
  place: 7
- team: 54
  event: Metric Mastery
  place: 1
- team: 54
  event: Microbe Mission
  place: 6
- team: 54
  event: Mission Possible
  place: 10
- team: 54
  event: Optics
  place: 4
- team: 54
  event: Potions and Poisons
  place: 2
- team: 54
  event: Reach for the Stars
  place: 4
- team: 54
  event: Road Scholar
  place: 2
- team: 54
  event: Scrambler
  place: 11
- team: 54
  event: Sustainable Energy
  place: 3
- team: 54
  event: Tower
  place: 3
- team: 54
  event: Write It Do It
  place: 3
- team: 55
  event: Air Trajectory
  place: 10
- team: 55
  event: Anatomy and Physiology
  place: 8
- team: 55
  event: Codebusters
  place: 1
- team: 55
  event: Crime Busters
  place: 2
- team: 55
  event: Disease Detectives
  place: 1
- team: 55
  event: Dynamic Planet
  place: 1
- team: 55
  event: Ecology
  place: 4
- team: 55
  event: Entomology
  place: 2
- team: 55
  event: Experimental Design
  place: 7
- team: 55
  event: Fossils
  place: 4
- team: 55
  event: Helicopter
  place: 5
- team: 55
  event: Meteorology
  place: 10
- team: 55
  event: Metric Mastery
  place: 3
- team: 55
  event: Microbe Mission
  place: 3
- team: 55
  event: Mission Possible
  place: 9
- team: 55
  event: Optics
  place: 3
- team: 55
  event: Potions and Poisons
  place: 6
- team: 55
  event: Reach for the Stars
  place: 1
- team: 55
  event: Road Scholar
  place: 3
- team: 55
  event: Scrambler
  place: 5
- team: 55
  event: Sustainable Energy
  place: 6
- team: 55
  event: Tower
  place: 7
- team: 55
  event: Write It Do It
  disqualified: true
  explicit: true
  place: 18
- team: 66
  event: Air Trajectory
  place: 8
- team: 66
  event: Anatomy and Physiology
  place: 2
- team: 66
  event: Codebusters
  place: 9
- team: 66
  event: Crime Busters
  place: 10
- team: 66
  event: Disease Detectives
  place: 5
- team: 66
  event: Dynamic Planet
  place: 5
- team: 66
  event: Ecology
  place: 8
- team: 66
  event: Entomology
  place: 9
- team: 66
  event: Experimental Design
  place: 3
- team: 66
  event: Fossils
  place: 2
- team: 66
  event: Helicopter
  place: 2
- team: 66
  event: Meteorology
  place: 9
- team: 66
  event: Metric Mastery
  place: 5
- team: 66
  event: Microbe Mission
  place: 2
- team: 66
  event: Mission Possible
  place: 4
- team: 66
  event: Optics
  place: 7
- team: 66
  event: Potions and Poisons
  place: 4
- team: 66
  event: Reach for the Stars
  place: 9
- team: 66
  event: Road Scholar
  place: 1
- team: 66
  event: Scrambler
  place: 10
- team: 66
  event: Sustainable Energy
  place: 4
- team: 66
  event: Tower
  place: 6
- team: 66
  event: Write It Do It
  place: 1
- team: 51
  event: Air Trajectory
  place: 1
- team: 51
  event: Anatomy and Physiology
  place: 9
- team: 51
  event: Codebusters
  place: 6
- team: 51
  event: Crime Busters
  place: 3
- team: 51
  event: Disease Detectives
  place: 7
- team: 51
  event: Dynamic Planet
  place: 11
- team: 51
  event: Ecology
  place: 6
- team: 51
  event: Entomology
  place: 11
- team: 51
  event: Experimental Design
  place: 4
- team: 51
  event: Fossils
  place: 8
- team: 51
  event: Helicopter
  place: 3
- team: 51
  event: Meteorology
  place: 2
- team: 51
  event: Metric Mastery
  place: 9
- team: 51
  event: Microbe Mission
  place: 4
- team: 51
  event: Mission Possible
  place: 6
- team: 51
  event: Optics
  place: 9
- team: 51
  event: Potions and Poisons
  place: 8
- team: 51
  event: Reach for the Stars
  place: 5
- team: 51
  event: Road Scholar
  place: 6
- team: 51
  event: Scrambler
  place: 2
- team: 51
  event: Sustainable Energy
  place: 1
- team: 51
  event: Tower
  place: 8
- team: 51
  event: Write It Do It
  place: 6
- team: 69
  event: Air Trajectory
  place: 3
- team: 69
  event: Anatomy and Physiology
  place: 3
- team: 69
  event: Codebusters
  participated: true
- team: 69
  event: Crime Busters
  place: 1
- team: 69
  event: Disease Detectives
  place: 2
- team: 69
  event: Dynamic Planet
  place: 7
- team: 69
  event: Ecology
  place: 2
- team: 69
  event: Entomology
  place: 10
- team: 69
  event: Experimental Design
  place: 5
- team: 69
  event: Fossils
  place: 3
- team: 69
  event: Helicopter
  participated: true
- team: 69
  event: Meteorology
  place: 3
- team: 69
  event: Metric Mastery
  place: 7
- team: 69
  event: Microbe Mission
  place: 5
- team: 69
  event: Mission Possible
  place: 7
- team: 69
  event: Optics
  place: 11
- team: 69
  event: Potions and Poisons
  place: 1
- team: 69
  event: Reach for the Stars
  place: 8
- team: 69
  event: Road Scholar
  place: 5
- team: 69
  event: Scrambler
  place: 8
- team: 69
  event: Sustainable Energy
  place: 9
- team: 69
  event: Tower
  place: 2
- team: 69
  event: Write It Do It
  place: 9
- team: 67
  event: Air Trajectory
  place: 6
- team: 67
  event: Anatomy and Physiology
  place: 6
- team: 67
  event: Codebusters
  place: 5
- team: 67
  event: Crime Busters
  place: 8
- team: 67
  event: Disease Detectives
  place: 8
- team: 67
  event: Dynamic Planet
  place: 6
- team: 67
  event: Ecology
  place: 3
- team: 67
  event: Entomology
  place: 3
- team: 67
  event: Experimental Design
  place: 11
- team: 67
  event: Fossils
  place: 5
- team: 67
  event: Helicopter
  place: 8
- team: 67
  event: Meteorology
  place: 8
- team: 67
  event: Metric Mastery
  place: 12
- team: 67
  event: Microbe Mission
  place: 8
- team: 67
  event: Mission Possible
  place: 2
- team: 67
  event: Optics
  place: 5
- team: 67
  event: Potions and Poisons
  place: 7
- team: 67
  event: Reach for the Stars
  place: 11
- team: 67
  event: Road Scholar
  place: 10
- team: 67
  event: Scrambler
  place: 9
- team: 67
  event: Sustainable Energy
  place: 8
- team: 67
  event: Tower
  place: 4
- team: 67
  event: Write It Do It
  place: 7
- team: 62
  event: Air Trajectory
  place: 7
- team: 62
  event: Anatomy and Physiology
  place: 5
- team: 62
  event: Codebusters
  place: 4
- team: 62
  event: Crime Busters
  place: 11
- team: 62
  event: Disease Detectives
  place: 6
- team: 62
  event: Dynamic Planet
  place: 4
- team: 62
  event: Ecology
  place: 9
- team: 62
  event: Entomology
  place: 4
- team: 62
  event: Experimental Design
  place: 6
- team: 62
  event: Fossils
  place: 10
- team: 62
  event: Helicopter
  place: 6
- team: 62
  event: Meteorology
  place: 6
- team: 62
  event: Metric Mastery
  place: 4
- team: 62
  event: Microbe Mission
  place: 7
- team: 62
  event: Mission Possible
  participated: false
- team: 62
  event: Optics
  place: 10
- team: 62
  event: Potions and Poisons
  place: 10
- team: 62
  event: Reach for the Stars
  place: 7
- team: 62
  event: Road Scholar
  place: 11
- team: 62
  event: Scrambler
  place: 4
- team: 62
  event: Sustainable Energy
  place: 5
- team: 62
  event: Tower
  place: 5
- team: 62
  event: Write It Do It
  place: 5
- team: 23
  event: Air Trajectory
  place: 2
- team: 23
  event: Anatomy and Physiology
  place: 4
- team: 23
  event: Codebusters
  participated: true
- team: 23
  event: Crime Busters
  place: 7
- team: 23
  event: Disease Detectives
  place: 9
- team: 23
  event: Dynamic Planet
  place: 10
- team: 23
  event: Ecology
  place: 10
- team: 23
  event: Entomology
  place: 5
- team: 23
  event: Experimental Design
  place: 10
- team: 23
  event: Fossils
  place: 9
- team: 23
  event: Helicopter
  place: 9
- team: 23
  event: Meteorology
  place: 4
- team: 23
  event: Metric Mastery
  place: 11
- team: 23
  event: Microbe Mission
  place: 9
- team: 23
  event: Mission Possible
  place: 5
- team: 23
  event: Optics
  place: 1
- team: 23
  event: Potions and Poisons
  place: 9
- team: 23
  event: Reach for the Stars
  place: 10
- team: 23
  event: Road Scholar
  place: 9
- team: 23
  event: Scrambler
  place: 7
- team: 23
  event: Sustainable Energy
  place: 7
- team: 23
  event: Tower
  place: 10
- team: 23
  event: Write It Do It
  place: 8
- team: 56
  event: Air Trajectory
  place: 9
- team: 56
  event: Anatomy and Physiology
  place: 12
- team: 56
  event: Codebusters
  place: 7
- team: 56
  event: Crime Busters
  place: 6
- team: 56
  event: Disease Detectives
  participated: false
- team: 56
  event: Dynamic Planet
  place: 9
- team: 56
  event: Ecology
  place: 7
- team: 56
  event: Entomology
  place: 7
- team: 56
  event: Experimental Design
  place: 8
- team: 56
  event: Fossils
  place: 6
- team: 56
  event: Helicopter
  place: 7
- team: 56
  event: Meteorology
  place: 5
- team: 56
  event: Metric Mastery
  place: 10
- team: 56
  event: Microbe Mission
  place: 10
- team: 56
  event: Mission Possible
  place: 8
- team: 56
  event: Optics
  place: 6
- team: 56
  event: Potions and Poisons
  place: 3
- team: 56
  event: Reach for the Stars
  place: 2
- team: 56
  event: Road Scholar
  place: 8
- team: 56
  event: Scrambler
  place: 6
- team: 56
  event: Sustainable Energy
  participated: true
- team: 56
  event: Tower
  place: 11
- team: 56
  event: Write It Do It
  place: 10
- team: 65
  event: Air Trajectory
  place: 4
- team: 65
  event: Anatomy and Physiology
  place: 11
- team: 65
  event: Codebusters
  place: 8
- team: 65
  event: Crime Busters
  place: 9
- team: 65
  event: Disease Detectives
  place: 10
- team: 65
  event: Dynamic Planet
  place: 8
- team: 65
  event: Ecology
  place: 11
- team: 65
  event: Entomology
  place: 6
- team: 65
  event: Experimental Design
  place: 9
- team: 65
  event: Fossils
  place: 11
- team: 65
  event: Helicopter
  participated: false
- team: 65
  event: Meteorology
  place: 11
- team: 65
  event: Metric Mastery
  place: 8
- team: 65
  event: Microbe Mission
  place: 11
- team: 65
  event: Mission Possible
  place: 3
- team: 65
  event: Optics
  place: 12
- team: 65
  event: Potions and Poisons
  participated: false
- team: 65
  event: Reach for the Stars
  place: 6
- team: 65
  event: Road Scholar
  place: 7
- team: 65
  event: Scrambler
  place: 1
- team: 65
  event: Sustainable Energy
  participated: true
- team: 65
  event: Tower
  place: 9
- team: 65
  event: Write It Do It
  place: 2
- team: 75
  event: Air Trajectory
  participated: false
- team: 75
  event: Anatomy and Physiology
  place: 10
- team: 75
  event: Codebusters
  participated: false
- team: 75
  event: Crime Busters
  participated: false
- team: 75
  event: Disease Detectives
  participated: false
- team: 75
  event: Dynamic Planet
  participated: false
- team: 75
  event: Ecology
  participated: false
- team: 75
  event: Entomology
  participated: false
- team: 75
  event: Experimental Design
  participated: false
- team: 75
  event: Fossils
  participated: false
- team: 75
  event: Helicopter
  participated: false
- team: 75
  event: Meteorology
  participated: false
- team: 75
  event: Metric Mastery
  place: 6
- team: 75
  event: Microbe Mission
  participated: false
- team: 75
  event: Mission Possible
  participated: false
- team: 75
  event: Optics
  place: 8
- team: 75
  event: Potions and Poisons
  participated: false
- team: 75
  event: Reach for the Stars
  participated: false
- team: 75
  event: Road Scholar
  participated: false
- team: 75
  event: Scrambler
  participated: false
- team: 75
  event: Sustainable Energy
  participated: false
- team: 75
  event: Tower
  participated: false
- team: 75
  event: Write It Do It
  participated: false
- team: 53
  event: Air Trajectory
  participated: false
- team: 53
  event: Anatomy and Physiology
  participated: false
- team: 53
  event: Codebusters
  participated: false
- team: 53
  event: Crime Busters
  participated: false
- team: 53
  event: Disease Detectives
  participated: false
- team: 53
  event: Dynamic Planet
  participated: false
- team: 53
  event: Ecology
  participated: false
- team: 53
  event: Entomology
  participated: false
- team: 53
  event: Experimental Design
  participated: false
- team: 53
  event: Fossils
  participated: false
- team: 53
  event: Helicopter
  participated: false
- team: 53
  event: Meteorology
  participated: false
- team: 53
  event: Metric Mastery
  participated: false
- team: 53
  event: Microbe Mission
  participated: false
- team: 53
  event: Mission Possible
  participated: false
- team: 53
  event: Optics
  participated: false
- team: 53
  event: Potions and Poisons
  participated: false
- team: 53
  event: Reach for the Stars
  participated: false
- team: 53
  event: Road Scholar
  participated: false
- team: 53
  event: Scrambler
  participated: false
- team: 53
  event: Sustainable Energy
  participated: false
- team: 53
  event: Tower
  participated: false
- team: 53
  event: Write It Do It
  participated: false
